# Gimp.Drawable.mask_intersect

    @accepts(Gimp.Drawable, int, int, int, int)
    @returns(bool)
    def mask_intersect(self, x, y, width, height):
        # Python wrapper for gimp_drawable_mask_intersect()

Find the bounding box of the current selection in relation to the specified drawable.

This procedure returns whether there is an intersection between the drawable and the selection. Unlike Gimp.Drawable.mask_bounds, the intersection's bounds are returned as x, y, width, height. If there is no selection this function returns TRUE and the returned bounds are the extents of the whole drawable.

Since 2.2

self

  The drawable.

x

  x coordinate of the upper left corner of the intersection.

y

  y coordinate of the upper left corner of the intersection.

width

  width of the intersection.

height

  height of the intersection.

Returns